Skip to content
Get started

Get NEPT staking overview (incl. state + params)

nept.get_staking_overview(NeptGetStakingOverviewParams**kwargs) -> NeptGetStakingOverviewResponse
GET/api/v1/nept/staking

Get NEPT staking overview (incl. state + params)

ParametersExpand Collapse
with_text: Optional[bool]

Include text variation fields

with_value: Optional[bool]

Calculate and include USD values for amounts, where applicable

ReturnsExpand Collapse
class NeptGetStakingOverviewResponse:
data: Data
asset_info: AssetInfo

Asset identifiers with associated metadata

asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
class Regular:
kind: Literal["regular"]
neptune_receipt_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class NeptuneReceiptToken:
kind: Literal["neptune_receipt_token"]
origin_asset: AssetSpec

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
class LiquidStakingToken:
kind: Literal["liquid_staking_token"]
origin_asset: Optional[AssetSpec]

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: str
group: Literal["native", "token"]
One of the following:
"native"
"token"
group_key: str
metadata: AssetMetadata

Additional metadata for assets

decimals_denom: int

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: int

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: str

Full name of the asset

symbol: str

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: str

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

global_state: DataGlobalState

Staking state values that are not directly associated to a pool

extra: DataGlobalStateExtra
text: Optional[DataGlobalStateExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

rewards_last_distributed: str
rewards_last_distributed: datetime

When staking rewards were last distributed

formatdate-time
stake_acc: str

! TODO: rename, proper description, text/value?

stake_acc = ∫ ( emission_rate / total_reward_weight ) dt

pools: List[StakingPoolFull]

List of available staking pools

duration: int

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

duration: str
index: str
index: int

The ordered index (position) of this pool

formatuint8
minimum0
maximum255

Staking pool contract parameters

flash_loan_weight: str

The pool's weight (multiplier) for flash loans volume

gov_weight: str

The pool's weight (multiplier) on governance for an associated stake

health_weight: str

The pool's weight (multiplier) on account health for an associated stake

reward_weight: str

The pool's weight (multiplier) on rewards for an associated stake

Current contract state of staking pool

extra: Extra
text: Optional[ExtraText]

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: str
value: Optional[ExtraValue]

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: ExtraValueExtra
text: Optional[ExtraValueExtraText]

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: str

Text representation of price

total_bonded: str
price: str

Price used in value calculations

total_bonded: str
total_bonded: str

The total amount staked to this pool

error: None

Error data. Guaranteed null for successful response.

status: int

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: str

HTTP status text

Get NEPT staking overview (incl. state + params)

from neptune_api_v2 import NeptuneAPIV2

client = NeptuneAPIV2()
response = client.nept.get_staking_overview()
print(response.data)
{
  "data": {
    "asset_info": {
      "asset": {
        "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
        "group": "native",
        "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
      },
      "metadata": {
        "name": "Neptune Token",
        "symbol": "NEPT",
        "symbol_denom": "nept",
        "decimals_denom": 6,
        "decimals_display": 5
      },
      "classification": {
        "kind": "regular",
        "neptune_receipt_asset": null
      }
    },
    "pools": [
      {
        "index": 0,
        "duration": 604800,
        "extra": {
          "text": {
            "duration": "7 days",
            "index": "1"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 1,
        "duration": 2592000,
        "extra": {
          "text": {
            "duration": "30 days",
            "index": "2"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 2,
        "duration": 7776000,
        "extra": {
          "text": {
            "duration": "90 days",
            "index": "3"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      }
    ],
    "global_state": {
      "stake_acc": "0",
      "rewards_last_distributed": "2026-04-09T23:35:09.140232993Z",
      "extra": {
        "text": {
          "rewards_last_distributed": "2026-04-09 11:35:09 PM +00:00"
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": {
    "asset_info": {
      "asset": {
        "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
        "group": "native",
        "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
      },
      "metadata": {
        "name": "Neptune Token",
        "symbol": "NEPT",
        "symbol_denom": "nept",
        "decimals_denom": 6,
        "decimals_display": 5
      },
      "classification": {
        "kind": "regular",
        "neptune_receipt_asset": null
      }
    },
    "pools": [
      {
        "index": 0,
        "duration": 604800,
        "extra": {
          "text": {
            "duration": "7 days",
            "index": "1"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 1,
        "duration": 2592000,
        "extra": {
          "text": {
            "duration": "30 days",
            "index": "2"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 2,
        "duration": 7776000,
        "extra": {
          "text": {
            "duration": "90 days",
            "index": "3"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      }
    ],
    "global_state": {
      "stake_acc": "0",
      "rewards_last_distributed": "2026-04-09T23:35:09.140232993Z",
      "extra": {
        "text": {
          "rewards_last_distributed": "2026-04-09 11:35:09 PM +00:00"
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}